<template lang="pug">
  .root
    ul.container
      li.item(
        v-for="(item,index) in photos"
        v-bind:key="index"
      )
        .img(:style="{ backgroundImage: `url('${item.path}')` }")
          img.square(src="@/assets/dummy.png")
          img.source(
            @click="onItemClick"
            :data-index="index"
            :src="item.path"
            )
        .meta(v-if="meta")
          p 投稿者: {{item.userName}}
          span
            | 表示 : 
            input(
              type="checkbox"
              :checked="item.active? true : null"
              :name="item.name"
              @input="$emit('toggleActive', $event.target)"
            )
            button(
              @click="$emit('pushPickUp', item.path)"
            ) pikupに追加
            button(
              @click="$emit('unshiftPickup', item.path)"
            ) pikup先頭に追加
</template>
<script>
export default {
  name: 'PhotoTabel',
  props: {
    classes: {
      type: Array,
      default: () => []
    },
    photos: {
      type: Array,
      default: () => []
    },
    column: {
      type: String,
      default: () => 'default'
    },
    meta: Boolean,
    openLightBox: Function
  },
  methods: {
    onClick() {
      console.log('click!')
    },
    onItemClick(event) {
      const target = event.target
      // todo: 自分の画像のときわかるように userIdも渡す！
      this.openLightBox({
        href: target.src,
        index: target.dataset.index
      })
    }
  },
  //インスタンスが生成された後に実行
  created() {},
  //インスタンスがマウントされたちょうど後
  mounted: function() {
    this.$redrawVueMasonry()
  }
}
</script>

<style lang="stylus" scoped>
.root
  font-size: $fz-base
  position: relative
  padding 0 10px
  .container
    margin: 0 auto
    box-sizing: border-box
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(130px, 1fr));
    grid-gap: 10px;
  .item
    box-sizing: border-box
    .img
      position relative
      overflow hidden
      background-position center
      background-size cover
      img
        height: auto
        width: 100%
        vertical-align bottom
      .square
        opacity 0
        z-index -1
      .source
        position absolute
        top 0
        left 0
        opacity 0
        width 100%
        height 100%
        z-index 10
  // meta info
  .item .meta
    background: $c-border-base
    padding: 4px
    font-size: $fz-ex_small

</style>